Page MenuHomePhabricator

AlignmentFromAssumptions and SLPVectorizer preserves AA and GlobalsAA
ClosedPublic

Authored by vaivaswatha on Dec 3 2015, 4:19 AM.

Details

Reviewers
jmolloy
hfinkel
Summary

Mark AlignmentFromAssumptions and SLPVectorizer as preserving AA and GlobalsAA.

Diff Detail

Repository
rL LLVM

Event Timeline

vaivaswatha updated this revision to Diff 41738.Dec 3 2015, 4:19 AM
vaivaswatha retitled this revision from to AlignmentFromAssumptions and SLPVectorizer preserves AA and GlobalsAA.
vaivaswatha updated this object.
vaivaswatha added reviewers: hfinkel, jmolloy.
vaivaswatha set the repository for this revision to rL LLVM.
hfinkel accepted this revision.Dec 9 2015, 1:18 AM
hfinkel edited edge metadata.

LGTM.

This revision is now accepted and ready to land.Dec 9 2015, 1:18 AM

LGTM.

Thanks Hal. I do not have commit access to the repository. Can you commit this on my behalf? Thank you very much.

hfinkel closed this revision.Dec 11 2015, 9:49 AM

r255348

Thank you very much for closing this Hal.

  • Vaivaswatha